public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/yt-dlp/
Date: Wed,  9 Mar 2022 12:53:11 +0000 (UTC)	[thread overview]
Message-ID: <1646830351.258dbdb17516d131034f9fe621cfdb48e00a6653.ionen@gentoo> (raw)

commit:     258dbdb17516d131034f9fe621cfdb48e00a6653
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Wed Mar  9 12:18:07 2022 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Wed Mar  9 12:52:31 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=258dbdb1

net-misc/yt-dlp: add 2022.3.8.1

Version adds brotli content-encoding support, but like some other less
needed features it does not seem worth having optfeature nag for it.

Also migrated to PEP517.

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 net-misc/yt-dlp/Manifest                 |  1 +
 net-misc/yt-dlp/yt-dlp-2022.3.8.1.ebuild | 66 ++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/net-misc/yt-dlp/Manifest b/net-misc/yt-dlp/Manifest
index 8c615148fb10..ff8af23f6048 100644
--- a/net-misc/yt-dlp/Manifest
+++ b/net-misc/yt-dlp/Manifest
@@ -1 +1,2 @@
 DIST yt-dlp-2022.2.4.tar.gz 2178642 BLAKE2B 2e6c11bb9fbc30b725dc26db727500c33af944d16fbc46be8fb35a75ab4f5c09ca0c8754f075b9739ca9d47e9b409f8d533c03b417217344f8cac1ec45968b51 SHA512 6bb6bee6f748147a566394bbe0b69781ab415398582cb8e88a49b61a5dd106e666b0429c8f4f6483bc4af0363e88eb95c5159457b7049cc11a2c99a6495c6895
+DIST yt-dlp-2022.3.8.1.tar.gz 2220785 BLAKE2B 787fbd29bf5330deb8d731f38501aeeb393149591f926c314b9a0b38c72c03548c29bdb98209b982eebf2e11d2d4ca45dfb146e2bec3ca553a82d68b10ea5735 SHA512 1d3728cdac1eb9f46de8c80ca364f5f4fd026b9d2e13db375682e0b7f755dd80b6f55f88e62232d243ee1584dcd10ac65e71244aa4c17e731c9a9576d825130f

diff --git a/net-misc/yt-dlp/yt-dlp-2022.3.8.1.ebuild b/net-misc/yt-dlp/yt-dlp-2022.3.8.1.ebuild
new file mode 100644
index 000000000000..d6565fe8b148
--- /dev/null
+++ b/net-misc/yt-dlp/yt-dlp-2022.3.8.1.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+inherit bash-completion-r1 distutils-r1 optfeature
+
+DESCRIPTION="youtube-dl fork with additional features and fixes"
+HOMEPAGE="https://github.com/yt-dlp/yt-dlp"
+SRC_URI="mirror://pypi/${P::1}/${PN}/${P}.tar.gz"
+
+LICENSE="Unlicense"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+	dev-python/pycryptodome[${PYTHON_USEDEP}]
+	!net-misc/youtube-dl[-yt-dlp(-)]"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	distutils-r1_python_prepare_all
+
+	# setup.py reads requirements.txt but file is currently from
+	# pypi tarball, only keep pycryptodome either way for bug #828466
+	echo pycryptodome > requirements.txt || die
+}
+
+python_test() {
+	epytest -m 'not download' -p no:markdown
+}
+
+python_install_all() {
+	dodoc README.md Changelog.md supportedsites.md
+	doman yt-dlp.1
+
+	dobashcomp completions/bash/yt-dlp
+
+	insinto /usr/share/fish/vendor_completions.d
+	doins completions/fish/yt-dlp.fish
+
+	insinto /usr/share/zsh/site-functions
+	doins completions/zsh/_yt-dlp
+
+	rm -r "${ED}"/usr/share/doc/yt_dlp || die
+
+	newbin - youtube-dl <<-EOF
+		#!/usr/bin/env sh
+		exec yt-dlp --compat-options youtube-dl "\${@}"
+	EOF
+}
+
+pkg_postinst() {
+	optfeature "various features (merging tracks, streamed content)" media-video/ffmpeg
+	has_version media-video/atomicparsley || # allow fallback but don't advertise
+		optfeature "embedding metadata thumbnails in MP4/M4A files" media-libs/mutagen
+
+	if [[ ! ${REPLACING_VERSIONS} ]]; then
+		elog 'A wrapper using "yt-dlp --compat-options youtube-dl" was installed'
+		elog 'as "youtube-dl". This is strictly for compatibility and it is'
+		elog 'recommended to use "yt-dlp" directly, it may be removed in the future.'
+	fi
+}


             reply	other threads:[~2022-03-09 12:53 UTC|newest]

Thread overview: 163+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-03-09 12:53 Ionen Wolkens [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-27 23:53 [gentoo-commits] repo/gentoo:master commit in: net-misc/yt-dlp/ Ionen Wolkens
2024-09-12 11:01 Ionen Wolkens
2024-09-12 11:01 Ionen Wolkens
2024-08-06  9:26 Ionen Wolkens
2024-08-06  9:26 Ionen Wolkens
2024-08-01 22:57 Ionen Wolkens
2024-07-25  4:10 Ionen Wolkens
2024-07-25  4:10 Ionen Wolkens
2024-07-16 23:52 Ionen Wolkens
2024-07-09  9:13 Ionen Wolkens
2024-07-08  1:52 Ionen Wolkens
2024-07-08  1:52 Ionen Wolkens
2024-07-03  0:39 Ionen Wolkens
2024-07-02  1:55 Ionen Wolkens
2024-07-02  1:55 Ionen Wolkens
2024-06-06 13:20 Ionen Wolkens
2024-05-29 14:43 Jakov Smolić
2024-05-28  2:11 Ionen Wolkens
2024-05-26 22:44 Ionen Wolkens
2024-05-26 22:44 Ionen Wolkens
2024-04-27 12:11 Ionen Wolkens
2024-04-09 17:57 Ionen Wolkens
2024-03-31 21:30 Ionen Wolkens
2024-03-30 15:50 Ionen Wolkens
2024-03-18  7:54 Arthur Zamarin
2024-03-10 20:18 Ionen Wolkens
2024-02-15  9:30 Ionen Wolkens
2024-01-15 19:57 Sam James
2024-01-08 12:59 Ionen Wolkens
2024-01-06  8:16 Sam James
2023-12-30 22:36 Ionen Wolkens
2023-11-20  5:12 Ionen Wolkens
2023-11-20  5:12 Ionen Wolkens
2023-11-20  5:12 Ionen Wolkens
2023-11-16  0:43 Ionen Wolkens
2023-11-16  0:43 Ionen Wolkens
2023-11-14 23:52 Ionen Wolkens
2023-11-14 23:35 Ionen Wolkens
2023-10-25  7:58 Ionen Wolkens
2023-10-18 14:31 Ionen Wolkens
2023-10-14  0:01 Ionen Wolkens
2023-10-14  0:01 Ionen Wolkens
2023-10-12  5:25 Ionen Wolkens
2023-10-12  5:25 Ionen Wolkens
2023-10-10 20:20 Ionen Wolkens
2023-10-07  2:04 Ionen Wolkens
2023-10-07  2:04 Ionen Wolkens
2023-09-29 10:42 Ionen Wolkens
2023-09-24  7:02 Ionen Wolkens
2023-09-18 11:07 Ionen Wolkens
2023-08-09 18:14 Piotr Karbowski
2023-07-06 21:29 Ionen Wolkens
2023-07-06 21:29 Ionen Wolkens
2023-07-06 21:29 Ionen Wolkens
2023-06-26  8:19 Sam James
2023-06-22 10:11 Ionen Wolkens
2023-06-21  6:12 Ionen Wolkens
2023-05-07 17:42 Ionen Wolkens
2023-03-09 20:13 Ionen Wolkens
2023-03-05  2:27 Ionen Wolkens
2023-03-04  9:42 Ionen Wolkens
2023-03-04  9:42 Ionen Wolkens
2023-02-24  9:26 Ionen Wolkens
2023-02-17 22:58 Ionen Wolkens
2023-02-17 14:03 Ionen Wolkens
2023-02-13 15:59 Ionen Wolkens
2023-01-14 14:42 Ionen Wolkens
2023-01-11 11:26 Ionen Wolkens
2023-01-11 11:26 Ionen Wolkens
2023-01-06 22:04 Ionen Wolkens
2023-01-02 15:31 Ionen Wolkens
2022-11-18  6:25 Ionen Wolkens
2022-11-11 11:39 Ionen Wolkens
2022-10-20 13:34 Ionen Wolkens
2022-10-12 13:47 Ionen Wolkens
2022-10-04  5:51 Ionen Wolkens
2022-09-17  8:42 Ionen Wolkens
2022-09-07  7:19 Ionen Wolkens
2022-09-01 14:12 Ionen Wolkens
2022-09-01 14:12 Ionen Wolkens
2022-08-19  8:12 Ionen Wolkens
2022-08-19  8:12 Ionen Wolkens
2022-08-18  6:55 Ionen Wolkens
2022-08-15  1:54 Ionen Wolkens
2022-08-09  1:54 Ionen Wolkens
2022-08-07 13:59 Ionen Wolkens
2022-07-25  6:11 Ionen Wolkens
2022-07-18  0:54 Ionen Wolkens
2022-07-11 22:57 Ionen Wolkens
2022-07-03  5:33 Ionen Wolkens
2022-07-03  5:33 Ionen Wolkens
2022-06-29  4:18 Ionen Wolkens
2022-06-28  6:13 Ionen Wolkens
2022-06-22  1:34 Ionen Wolkens
2022-06-16 13:16 Ionen Wolkens
2022-06-02 15:07 Ionen Wolkens
2022-06-02 15:07 Ionen Wolkens
2022-05-18  5:41 Ionen Wolkens
2022-04-18 14:38 Ionen Wolkens
2022-04-10 21:43 Ionen Wolkens
2022-04-08 17:20 Ionen Wolkens
2022-04-08 13:55 Ionen Wolkens
2022-04-08 13:55 Ionen Wolkens
2022-03-16 11:24 Ionen Wolkens
2022-03-14 11:43 Ionen Wolkens
2022-03-14 11:43 Ionen Wolkens
2022-03-12 20:38 Fabian Groffen
2022-03-09 14:50 Ionen Wolkens
2022-03-09 14:50 Ionen Wolkens
2022-02-26 11:53 Arthur Zamarin
2022-02-22 19:25 Sam James
2022-02-22 19:25 Sam James
2022-02-16  2:57 Ionen Wolkens
2022-02-16  2:57 Ionen Wolkens
2022-02-05 23:39 Ionen Wolkens
2022-02-04  7:07 Ionen Wolkens
2022-02-04  7:07 Ionen Wolkens
2022-02-04  7:07 Ionen Wolkens
2022-02-03 19:36 Ionen Wolkens
2022-02-03 19:36 Ionen Wolkens
2022-02-03 19:36 Ionen Wolkens
2022-01-28  7:47 Ionen Wolkens
2022-01-21 14:26 Ionen Wolkens
2022-01-13  8:06 Ionen Wolkens
2021-12-31 14:24 Ionen Wolkens
2021-12-28 17:10 Ionen Wolkens
2021-12-27  2:54 Ionen Wolkens
2021-12-25  1:02 Ionen Wolkens
2021-12-16 19:11 Ionen Wolkens
2021-12-06 21:21 Ionen Wolkens
2021-12-06 20:21 Ionen Wolkens
2021-12-06 20:21 Ionen Wolkens
2021-12-01  0:59 Ionen Wolkens
2021-11-22 16:19 Ionen Wolkens
2021-11-17  9:16 Ionen Wolkens
2021-11-17  9:16 Ionen Wolkens
2021-11-17  6:57 Arthur Zamarin
2021-11-17  6:01 Arthur Zamarin
2021-11-16  1:26 Ionen Wolkens
2021-11-10  5:57 Ionen Wolkens
2021-11-09 12:55 Ionen Wolkens
2021-11-07  1:34 Sam James
2021-11-04 17:09 Sam James
2021-11-01 15:46 Sam James
2021-10-30 23:14 Ionen Wolkens
2021-10-30  9:14 Ionen Wolkens
2021-10-29 22:25 Ionen Wolkens
2021-10-28 23:23 Ionen Wolkens
2021-10-28 23:23 Ionen Wolkens
2021-10-22 22:43 Ionen Wolkens
2021-10-22 22:43 Ionen Wolkens
2021-10-22 22:43 Ionen Wolkens
2021-10-17  2:05 Ionen Wolkens
2021-10-16 22:47 Ionen Wolkens
2021-10-16 22:07 Sam James
2021-10-16 22:07 Sam James
2021-10-16 22:00 Sam James
2021-10-16 20:35 Piotr Karbowski
2021-09-27 21:18 Piotr Karbowski
2021-09-06 21:07 Piotr Karbowski
2021-08-24 21:02 Marek Szuba
2021-08-23 20:45 Piotr Karbowski

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1646830351.258dbdb17516d131034f9fe621cfdb48e00a6653.ionen@gentoo \
    --to=ionen@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox